/**
 * Basic I/O tools.
 *
 * @author Moshe
 * @version 0.0
 */
import java.io.*;
import java.util.*;
import java.math.*;

public class   Tools  {


// private constructor to prevent javadoc generation
    private Tools(){};

/**
     * Reads a string from the keyboard.
     * @return the string
     */
     public static  String getString() throws IOException {

      BufferedReader stringIn = new BufferedReader (new InputStreamReader(System.in));

      return  stringIn.readLine();

     }// getString

/**
     * Reads an integer from the keyboard.
     * @return the int
*/
     public  static  int  getInt( ) throws IOException {

       String aux = getString();

       return Integer.parseInt(aux);

    }// getInt

/**
     * Reads a long integer from the keyboard.
     * @return the long integer
*/

    public  static  long getLong( ) throws IOException {

        String aux = getString();

        return Long.parseLong(aux);

    }// getLong

/**
     * Reads a character from the keyboard.
     * @return the character
*/
    public  static char  getChar( ) throws IOException {

        String  aux = getString();

        return aux.charAt(0);

    }// getChar

/**
     * Reads a real number from the keyboard.
     * @return the real number.
*/

    public static  double  getReal( ) throws IOException {

       String  aux = getString();

       Double d  = new Double(aux) ;

       return  d.doubleValue() ;

    }// getReal
    /**
	     * Reads a bigInteger from the keyboard.
	     * @return the bigInteger.
	*/

	    public static  BigInteger  getBigInteger( ) throws IOException {

	       String  aux = getString();

	       BigInteger d  = new BigInteger(aux) ;

	       return  d;

    }// getBigInteger
}//Tools
