/**
 * Load integers from a text file
 *
 * Written by Moshe Rosenfeld UWT Oct. 19, 2000
 *
 * @author Moshe
 * @version 0.0
 */


import java.io.*;
import java.util.Vector;

public class LoadFromFile {


       private File input;
       private String DirName, FileName;

       LoadFromFile(String d, String f) {//Constructor

            DirName = d;
            FileName = f;
	}
	/**
     * Loads data froma text file to a vector
     * @param v the vector that will contain the integers read.
     */
	public void getData(Vector v) {
		 try{
		           File input = new File(DirName, FileName);

		/*
		 * Create reader stream to open and read the file.
		 * The tokenizer stream parses the file into integer
		 *  tokens, ignoring whitespace characters and comma's   */
		 final StreamTokenizer stream = new
		          StreamTokenizer(new BufferedReader(new FileReader(input)));
		          stream.whitespaceChars(',',',');  //can seperate by tokens by a comma
		          int token;
		          final StreamTokenizer streamagain = new
		          StreamTokenizer(new BufferedReader(new FileReader(input)));
		//this loop loads the vector from the input file
		        while((token = streamagain.nextToken()) != streamagain.TT_EOF) {
		           switch(token)
		            {
		              case StreamTokenizer.TT_NUMBER:
		              Integer u = new Integer((int)streamagain.nval);
		  	          v.addElement(u);
		               		break;

		              default:
		                break;
		                }

		        }//while loop
		    } //try
		                catch(FileNotFoundException e)
		                  {
		                    System.err.println(e);
		                    System.out.println();
		                    //return;
		                  }
		                catch (IOException e)
		                  {
		                    System.err.println("Error reading input file" +e);
		                    return;

		                  }
	}

}//############################ END OF CLASS LoadFromFile ##############
